POST /v1/orgs/me/ip-allowlist
Tags: orgs
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
Idempotency-Key | header | string,null |
Request body
Required.
JSON
{
"$ref": "#/components/schemas/AddIpAllowlistEntry"
}Responses
201 — Entry created
JSON
{
"$ref": "#/components/schemas/IpAllowlistEntry"
}400 — INVALID_REQUEST — malformed CIDR
409 — CONFLICT — CIDR already in allowlist
Code samples
TypeScript
TypeScript
import { firecase } from "@firecase/sdk";
const result = await firecase.post("/orgs/me/ip-allowlist", { /* body */ });
console.log(result);Python
Python
import firecase
result = firecase.post("/orgs/me/ip-allowlist", json={})
print(result)curl
Bash
curl -X POST https://api.firecase.ai/v1/orgs/me/ip-allowlist \
-H "Authorization: Bearer $FIRECASE_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'